
/*
 * 8254 Timer chip equates
 */

/* Counter select */
#define SC0	0x00 /* Select counter 0 */
#define SC1	0x40 /* Select counter 1 */
#define SC2	0x80 /* Select counter 2 */

/* Latching operation */
#define CLATCH	0x00 /* Counter latching operation */

/* Read back operation */
#define RDBACK	0xc0 /* Read back status, count and output */

/* Read back select */
#define RDBSTA	0x40
#define RDBCOU	0x20
#define RDBSC0	0x02
#define RDBSC1	0x04
#define RDBSC2	0X08

/* Read back status bit meaning */
#define OUT	0x80
#define NULCNT	0x40
#define RW1	0x20
#define RW2	0x10
#define M2	0x08
#define M1	0x04
#define M0	0x02
#define MBCD	0x01
#define MODE	(RW1 | RW2 | M2 | M1 | M0 | MBCD)

/* Read/Load operations */
#define MSB	0x20 /* Read/load MSB only */
#define LSB	0x10 /* Read/load LSB only */
#define LSB_MSB	0x30 /* Read/load LSB, then MSB */

/* Operating modes */
#define MODE0	0x00 /* Interrupt on terminal count */
#define MODE1	0x02 /* Programmable one shot */
#define MODE2	0x04 /* Rate generator */
#define MODE3	0x06 /* Square wave rate generator */
#define MODE4	0x08 /* Software triggered strobe */
#define MODE5	0x0a /* Hardware triggered strobe */
#define BCD	0x01 /* BCD counter */
